Retrieve agent's knowledge base stats
curl --request GET \
--url https://eu-gcp-api.vg-stuff.com/v3/agents/{agentId}/kb/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/agents/{agentId}/kb/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu-gcp-api.vg-stuff.com/v3/agents/{agentId}/kb/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"charCount": 123,
"docsCount": 123
}
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Knowledge Base
Get KB Stats
(Convocore agents only) Returns agent’s knowledge base stats, if your agent is built with VF use Voiceflow’s API instead. This route must use the new V3 endpoints.
GET
/
agents
/
{agentId}
/
kb
/
stats
Retrieve agent's knowledge base stats
Use this endpoint to monitor your knowledge base size and track growth over time.
Stats are calculated from processed documents only. Documents with
PENDING or ERROR status are not included in the counts.⌘I
